# CbcUser Class Reference

A class to allow the use of unknown user functionality. More...

`#include <CbcSolver.hpp>`

Collaboration diagram for CbcUser:
[legend]

List of all members.

## Public Member Functions
import/export methods
virtual int | importData (CbcSolver *, int &, char **)
| Import - gets full command arguments.
virtual void | exportSolution (CbcSolver *, int, const char *=NULL)
| Export.
virtual void | exportData (CbcSolver *)
| Export Data (i.e. at very end).
virtual void | fillInformation (CbcSolver *, CbcSolverUsefulData &)
| Get useful stuff.
usage methods
CoinModel * | coinModel () const
| CoinModel if valid.
virtual void * | stuff ()
| Other info - needs expanding.
std::string | name () const
| Name.
virtual void | solve (CbcSolver *model, const char *options)=0
| Solve (whatever that means).
virtual bool | canDo (const char *options)=0
| Returns true if function knows about option.
Constructors and destructors etc
| CbcUser ()
| Default Constructor.
| CbcUser (const CbcUser &rhs)
| Copy constructor.
CbcUser & | operator= (const CbcUser &rhs)
| Assignment operator.
virtual CbcUser * | clone () const =0
| Clone.
virtual | ~CbcUser ()
| Destructor.
## Protected Attributes
Private member data
CoinModel * | coinModel_
| CoinModel.
std::string | userName_
| Name of user function.

## Detailed Description

A class to allow the use of unknown user functionality.

For example, access to a modelling language (CbcAmpl).

Definition at line 260 of file CbcSolver.hpp.

## Constructor & Destructor Documentation

CbcUser::CbcUser | ( |  | ) |

Default Constructor.

CbcUser::CbcUser | ( | const CbcUser & | rhs | ) |

Copy constructor.

virtual CbcUser::~CbcUser | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual int CbcUser::importData | ( | CbcSolver * | ,
|  | int & | ,
|  | char ** |  |
| ) |  |  | `[inline, virtual]`

Import - gets full command arguments.

Returns:
  - -1 - no action
  - 0 - data read in without error
  - 1 - errors

Definition at line 272 of file CbcSolver.hpp.

virtual void CbcUser::exportSolution | ( | CbcSolver * | ,
|  | int | ,
|  | const char * | = `NULL` |
| ) |  |  | `[inline, virtual]`

Export.

Values for mode:

- 1 OsiClpSolver
- 2 CbcModel
- add 10 if infeasible from odd situation

Definition at line 283 of file CbcSolver.hpp.

virtual void CbcUser::exportData | ( | CbcSolver * |  | ) | `[inline, virtual]`

Export Data (i.e. at very end).

Definition at line 287 of file CbcSolver.hpp.

virtual void CbcUser::fillInformation | ( | CbcSolver * | ,
|  | CbcSolverUsefulData & |  |
| ) |  |  | `[inline, virtual]`

Get useful stuff.

Definition at line 290 of file CbcSolver.hpp.

CoinModel* CbcUser::coinModel | ( |  | ) | const`[inline]`

CoinModel if valid.

Definition at line 297 of file CbcSolver.hpp.

virtual void* CbcUser::stuff | ( |  | ) | `[inline, virtual]`

Other info - needs expanding.

Definition at line 301 of file CbcSolver.hpp.

std::string CbcUser::name | ( |  | ) | const`[inline]`

Name.

Definition at line 305 of file CbcSolver.hpp.

virtual void CbcUser::solve | ( | CbcSolver * | model,
|  | const char * | options |
| ) |  |  | `[pure virtual]`

Solve (whatever that means).

virtual bool CbcUser::canDo | ( | const char * | options | ) | `[pure virtual]`

Returns true if function knows about option.

CbcUser& CbcUser::operator= | ( | const CbcUser & | rhs | ) |

Assignment operator.

virtual CbcUser* CbcUser::clone | ( |  | ) | const`[pure virtual]`

Clone.

## Member Data Documentation

CoinModel* CbcUser::coinModel_`[protected]`

CoinModel.

Definition at line 337 of file CbcSolver.hpp.

std::string CbcUser::userName_`[protected]`

Name of user function.

Definition at line 340 of file CbcSolver.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcSolver.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines